Bug 462638 - Review Request: anaconda-yum-plugins - Package containing yum plugins for anaconda and preupgrade
Review Request: anaconda-yum-plugins - Package containing yum plugins for ana...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-17 14:42 EDT by Chris Lumens
Modified: 2008-09-22 12:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-22 12:54:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dcantrell: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Lumens 2008-09-17 14:42:42 EDT
Spec URL: http://clumens.fedorapeople.org/preupgrade/anaconda-yum-plugins.spec
SRPM URL: http://clumens.fedorapeople.org/preupgrade/anaconda-yum-plugins-1.0-1.src.rpm
Description: This is a package that was a subpackage of anaconda, containing a pair of yum plugins that make upgrades work.  It needs to be split out into its own package so that we can release it for F8 and F9, which are supported by the latest preupgrade.
Comment 1 David Cantrell 2008-09-17 15:58:37 EDT
Spec file looks good.  Review process requires checking the MUST list for the packaging guidelines and running rpmlint on the RPMS and spec file.  Here's what I found:

anaconda-yum-plugins.noarch: W: no-documentation

At least a copy of the license file should be in the package, per the guidelines.

anaconda-yum-plugins.noarch: W: non-conffile-in-etc /etc/yum/pluginconf.d/blacklist.conf
anaconda-yum-plugins.noarch: W: non-conffile-in-etc /etc/yum/pluginconf.d/whiteout.conf

Mark these as %config(noreplace)?

anaconda-yum-plugins.noarch: E: non-executable-script /usr/lib/yum-plugins/blacklist.py 0644
anaconda-yum-plugins.noarch: E: non-executable-script /usr/lib/yum-plugins/whiteout.py 0644

Yeah, not sure about this.

anaconda-yum-plugins.noarch: E: only-non-binary-in-usr-lib

Or this.

anaconda-yum-plugins.src:36: E: hardcoded-library-path in %{_prefix}/lib/yum-plugins/*

Package guidelines say this should be %{_libdir}/yum-plugins/*

anaconda-yum-plugins.src: W: strange-permission anaconda-yum-plugins.spec 0600

Now we're just splitting hairs.  0644?

Man, I feel like a tool.
Comment 2 Chris Lumens 2008-09-17 17:12:53 EDT
> anaconda-yum-plugins.noarch: W: no-documentation

Done.

> anaconda-yum-plugins.noarch: W: non-conffile-in-etc
> /etc/yum/pluginconf.d/blacklist.conf
> anaconda-yum-plugins.noarch: W: non-conffile-in-etc
> /etc/yum/pluginconf.d/whiteout.conf

Done.

> anaconda-yum-plugins.noarch: E: non-executable-script
> /usr/lib/yum-plugins/blacklist.py 0644
> anaconda-yum-plugins.noarch: E: non-executable-script
> /usr/lib/yum-plugins/whiteout.py 0644

It's complaining because the plugins are 0644, but start with #!/usr/bin/python.  That's pretty picky, but done.

> anaconda-yum-plugins.noarch: E: only-non-binary-in-usr-lib

Probably the same.

> Package guidelines say this should be %{_libdir}/yum-plugins/*

Yes they usually should, but I don't know of any yum plugins that drop files into /usr/lib64/yum-plugins.  So this one is probably okay as-is.

> anaconda-yum-plugins.src: W: strange-permission anaconda-yum-plugins.spec 0600

This should be fixed up by running it through the build system instead of me just doing rpmbuild -ta on the tarball.

I'll update the spec and srpm at the previous location.
Comment 3 David Cantrell 2008-09-17 17:23:58 EDT
OK, now I only get:

anaconda-yum-plugins.noarch: E: only-non-binary-in-usr-lib
anaconda-yum-plugins.src:37: E: hardcoded-library-path in %{_prefix}/lib/yum-plugins/*
anaconda-yum-plugins.src: W: strange-permission anaconda-yum-plugins.spec 0600

So everything looks good.  In the packaging police come after you for the hardcoded-library-path problem, you could do a %define at the top of the spec file for yumpluginpath and then reference that in the %files section.

APPROVED.
Comment 4 Chris Lumens 2008-09-18 09:42:49 EDT
New Package CVS Request
=======================
Package Name: anaconda-yum-plugins
Short Description: Installation-related yum plugins
Owners: clumens
Branches: F-8 F-9
InitialCC:
Comment 5 Kevin Fenzi 2008-09-18 13:06:27 EDT
cvs done.
Comment 6 Chris Lumens 2008-09-18 13:08:33 EDT
Thanks.

Note You need to log in before you can comment on or make changes to this bug.